### Method

# GLib Source add_unix_fd

since: 2.36

#### Declaration

    gpointer
    g_source_add_unix_fd (
      GSource* source,
      gint fd,
      GIOCondition events
    )

#### Description

Monitors `fd` for the IO events in `events`.

The tag returned by this function can be used to remove or modify the monitoring of the fd using `g_source_remove_unix_fd()` or g_source_modify_unix_fd().

It is not necessary to remove the fd before destroying the source; it will be cleaned up automatically.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

As the name suggests, this function is not available on Windows.

Available since: 2.36

#### Parameters

`fd`

  Type: `gint`

  The fd to monitor.

`events`

  Type: `GIOCondition`

  An event mask.

#### Return value

Type: `gpointer`

An opaque tag.

The returned data is owned by the instance.